Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface Order

All Superinterfaces
  BusinessSmartComponent, javax.ejb.EJBObject, Entity, Remote, RemoteRelationalReference, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface Order

extends Entity

An Order entity represents an order. An order includes one or more order lines, order status, shipping address, shipping cost, price, special instructions, splitting preferences, date of order, payment information, and the customer who placed this order.

See Also
  `OrderPk`, `OrderHome`, `OrderValue`

Method Summary
`boolean` | `addOrderLines(OrderLine element)` Deprecated See BEA Commerce product offering
`boolean` | `addOrderLinesCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `clearOrderLinesCollection()` Deprecated See BEA Commerce product offering
`boolean` | `containsOrderLines(OrderLine element)` Deprecated See BEA Commerce product offering
`boolean` | `containsOrderLinesCollection(Collection c)` Deprecated See BEA Commerce product offering
`boolean` | `equalsOrderLinesCollection(Object object)` Deprecated See BEA Commerce product offering
`Date` | `getCreatedDate()` Deprecated See BEA Commerce product offering
`Customer` | `getCustomer()` Deprecated See BEA Commerce product offering
`String` | `getIdentifier()` Deprecated See BEA Commerce product offering
`OrderValue` | `getOrderByValue()` Deprecated See BEA Commerce product offering
`Collection` | `getOrderLinesCollection()` Deprecated See BEA Commerce product offering
`String` | `getOrderStatus()` Deprecated See BEA Commerce product offering
`PaymentTransaction` | `getPaymentTransaction()` Deprecated See BEA Commerce product offering
`Money` | `getPrice()` Deprecated See BEA Commerce product offering
`Money` | `getShipping()` Deprecated See BEA Commerce product offering
`com.beasys.commerce.axiom.contact.Address` | `getShippingAddress()` Deprecated See BEA Commerce product offering
`String` | `getShippingMethod()` Deprecated See BEA Commerce product offering
`String` | `getSpecialInstructions()` Deprecated See BEA Commerce product offering
`String` | `getSplittingPreference()` Deprecated See BEA Commerce product offering
`double` | `getSubtotal()` Deprecated See BEA Commerce product offering
`boolean` | `isOrderLinesCollectionEmpty()` Deprecated See BEA Commerce product offering
`int` | `orderLinesCollectionHashCode()` Deprecated See BEA Commerce product offering
`int` | `orderLinesCollectionSize()` Deprecated See BEA Commerce product offering
`boolean` | `removeOrderLines(OrderLine element)` Deprecated See BEA Commerce product offering
`boolean` | `removeOrderLinesCollection(Collection collection)` Deprecated See BEA Commerce product offering
`boolean` | `retainOrderLinesCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setCreatedDate(Date createdDate)` Deprecated See BEA Commerce product offering
`void` | `setCustomer(Customer customer)` Deprecated See BEA Commerce product offering
`void` | `setOrderByValue(OrderValue value)` Deprecated See BEA Commerce product offering
`void` | `setOrderLinesCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setOrderStatus(String orderStatus)` Deprecated See BEA Commerce product offering
`void` | `setPaymentTransaction(PaymentTransaction paymentTransaction)` Deprecated See BEA Commerce product offering
`void` | `setPrice(Money price)` Deprecated See BEA Commerce product offering
`void` | `setShipping(Money shipping)` Deprecated See BEA Commerce product offering
`void` | `setShippingAddress(com.beasys.commerce.axiom.contact.Address shippingAddress)` Deprecated See BEA Commerce product offering
`void` | `setShippingMethod(String shippingMethod)` Deprecated See BEA Commerce product offering
`void` | `setSpecialInstructions(String specialInstructions)` Deprecated See BEA Commerce product offering
`void` | `setSplittingPreference(String splittingPreference)` Deprecated See BEA Commerce product offering
`void` | `setSubtotal(double subtotal)` Deprecated See BEA Commerce product offering

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Methods inherited from interface com.beasys.commerce.foundation.RemoteRelationalReference
`get__classIdentifier, get__containingBelonging, get__containingEntity, get__mapKey, get__sequenceNumber, set__containingBelonging, set__containingEntity, set__mapKey`

Method Detail

### getOrderByValue

    OrderValue getOrderByValue()
                               throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns an OrderValue object. The OrderValue object represents the state of an Order.

  Returns
    OrderValue the Order value object
  Throws
    `RemoteException` - on remote error

### setOrderByValue

    void setOrderByValue(OrderValue value)
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Set all of Order's attributes to the passed in value. Note: Primary key attributes are not set.

  Parameters
    `OrderValue` - the OrderValue object
  Throws
    `RemoteException` - on remote error

### getIdentifier

    String getIdentifier()
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the primary key identifier.

  Returns
    Identifier the primary key
  Throws
    `RemoteException` - on remote error
  See Also
    `OrderPk`

### getCreatedDate

    Date getCreatedDate()
                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the date of creation of the order.

  Returns
    createdDate the Date of creation of the order
  Throws
    `RemoteException` - on remote error

### setCreatedDate

    void setCreatedDate(Date createdDate)
                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets the date of creation of the order

  Parameters
    `createdDate` - the date of creation of the order
  Throws
    `RemoteException` - on remote error

### getShippingMethod

    String getShippingMethod()
                             throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns a string identifying the shipping method.

  Returns
    shippingMethod string
  Throws
    `RemoteException` - on remote error
  See Also
    `ShippingMethod`

### setShippingMethod

    void setShippingMethod(String shippingMethod)
                           throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets the shipping method

  Parameters
    `shippingMethod` - shippingMethod to be added
  Throws
    `RemoteException` - on remote error
  See Also
    `ShippingMethod`

### getCustomer

    Customer getCustomer()
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the remote object reference of customer

  Returns
    customer object reference to the customer
  Throws
    `RemoteException` - on remote error
  See Also
    `Customer`

### setCustomer

    void setCustomer(Customer customer)
                     throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets the remote object reference of customer

  Parameters
    `customer` - customer to be added
  Throws
    `RemoteException` - on remote error
  See Also
    `Customer`

### getShippingAddress

    com.beasys.commerce.axiom.contact.Address getShippingAddress()
                                                                 throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the shipping address for the order

  Returns
    shippingAddress shipping address.
  Throws
    `RemoteException` - on remote error

### setShippingAddress

    void setShippingAddress(com.beasys.commerce.axiom.contact.Address shippingAddress)
                            throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets the shipping address for the order

  Parameters
    `shippingAddress` - shippingAddress to be added
  Throws
    `RemoteException` - on remote error

### getShipping

    Money getShipping()
                      throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the shipping cost on the order

  Returns
    the shipping cost for the order.
  Throws
    `RemoteException` - on remote error

### setShipping

    void setShipping(Money shipping)
                     throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets the cost of shipping for the order

  Parameters
    `shipping` - the new shipping costs
  Throws
    `RemoteException` - on remote error

### getPaymentTransaction

    PaymentTransaction getPaymentTransaction()
                                             throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the remote object reference of payment transaction

  Returns
    payment transaction.
  Throws
    `RemoteException` - on remote error
  See Also
    `PaymentTransaction`

### setPaymentTransaction

    void setPaymentTransaction(PaymentTransaction paymentTransaction)
                               throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets the remote object reference of payment transaction

  Parameters
    `paymentTransaction` - payment transaction to be added
  Throws
    `RemoteException` - on remote error
  See Also
    `PaymentTransaction`

### getOrderStatus

    String getOrderStatus()
                          throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the order status

  Returns
    order status.
  Throws
    `RemoteException` - on remote error

### setOrderStatus

    void setOrderStatus(String orderStatus)
                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets the status of the order

  Parameters
    `orderStatus` - order status
  Throws
    `RemoteException` - on remote error

### getOrderLinesCollection

    Collection getOrderLinesCollection()
                                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns a collection of all order lines

  Throws
    `RemoteException` - on remote error

### setOrderLinesCollection

    void setOrderLinesCollection(Collection collection)
                                 throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets a collection of order lines

  Parameters
    `collection` - of order lines
  Throws
    `RemoteException` - on remote error

### addOrderLines

    boolean addOrderLines(OrderLine element)
                          throws RemoteException

  Deprecated See BEA Commerce product offering

  Adds an order line to the order

  Parameters
    `com.beasys.commerce.ebusiness.order.OrderLine` - order line
  Returns
    true if order line could be added successfully
  Throws
    `RemoteException` - on remote error

### addOrderLinesCollection

    boolean addOrderLinesCollection(Collection collection)
                                    throws RemoteException

  Deprecated See BEA Commerce product offering

  Adds all of the elements in the specified collection to this order

  Parameters
    `collection` - of order lines
  Throws
    `RemoteException` - on remote error

### clearOrderLinesCollection

    void clearOrderLinesCollection()
                                   throws RemoteException

  Deprecated See BEA Commerce product offering

  Removes all the order lines

  Throws
    `RemoteException` - on remote error

### containsOrderLines

    boolean containsOrderLines(OrderLine element)
                               throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns true if the specified order line already exists in this order

  Parameters
    `element` - order line
  Throws
    `RemoteException` - on remote error

### containsOrderLinesCollection

    boolean containsOrderLinesCollection(Collection c)
                                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns true if this order contains all of the order line elements in the specified collection

  Parameters
    `c` - order lines
  Throws
    `RemoteException` - on remote error

### equalsOrderLinesCollection

    boolean equalsOrderLinesCollection(Object object)
                                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Compares the specified object with the collection of order lines for equality

  Parameters
    `object` - Object representing a collection of order lines
  Throws
    `RemoteException` - on remote error

### orderLinesCollectionHashCode

    int orderLinesCollectionHashCode()
                                     throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the hash code value for the collection or order lines

  Returns
    hash code
  Throws
    `RemoteException` - on remote error

### isOrderLinesCollectionEmpty

    boolean isOrderLinesCollectionEmpty()
                                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns true if this order has no order lines

  Throws
    `RemoteException` - on remote error

### removeOrderLines

    boolean removeOrderLines(OrderLine element)
                             throws RemoteException

  Deprecated See BEA Commerce product offering

  Removes a single instance of the specified order line element from the collection of order lines, if it is present

  Parameters
    `element` - order line to be removed
  Throws
    `RemoteException` - on remote error

### removeOrderLinesCollection

    boolean removeOrderLinesCollection(Collection collection)
                                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Removes all the order lines that are also contained in the specified collection

  Parameters
    `collection` - of order lines to be removed
  Throws
    `RemoteException` - on remote error

### retainOrderLinesCollection

    boolean retainOrderLinesCollection(Collection collection)
                                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Retains only order lines that are also contained in the specified collection

  Parameters
    `collection` - of order lines to be retained
  Throws
    `RemoteException` - on remote error

### orderLinesCollectionSize

    int orderLinesCollectionSize()
                                 throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the number of elements in this collection

  Returns
    Size
  Throws
    `RemoteException` - on remote error

### getPrice

    Money getPrice()
                   throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns the total price of the order

  Returns
    the price of the order
  Throws
    `RemoteException` - on remote error

### setPrice

    void setPrice(Money price)
                  throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets the total price of the order

  Parameters
    `price` - the price of the order
  Throws
    `RemoteException` - on remote error

### setSubtotal

    void setSubtotal(double subtotal)
                     throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets the value of subtotal

  Parameters
    `subtotal` - for the order.
  Throws
    `RemoteException`

### getSubtotal

    double getSubtotal()
                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Get the value of subtotal

  Returns
    the subtotal for the order
  Throws
    `RemoteException`

### getSpecialInstructions

    String getSpecialInstructions()
                                  throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns special instructions for the order

  Returns
    special instructions
  Throws
    `RemoteException` - on remote error

### setSpecialInstructions

    void setSpecialInstructions(String specialInstructions)
                                throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets special instructions for the order

  Parameters
    `specialInstructions` - special instructions for the order
  Throws
    `RemoteException` - on remote error

### getSplittingPreference

    String getSplittingPreference()
                                  throws RemoteException

  Deprecated See BEA Commerce product offering

  Returns splitting preferences for the order

  Returns
    splittingPreference splitting preference for the order
  Throws
    `RemoteException` - on remote error

### setSplittingPreference

    void setSplittingPreference(String splittingPreference)
                                throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets splitting preferences for the order

  Parameters
    `splittingPreference` - splitting preference for the order
  Throws
    `RemoteException` - on remote error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved